using Core.Communication.Transport;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.ListBlocks
{
    public class DataBlockInfoResponse:IBuildResponse
    {
        public HeaderPacket Header { get; set; }
        public ParamsResponse Params { get; set; }
        public DataBlockInfoDataResponse Data { get; set; }

        public DataBlockInfoResponse()
        {
            Header=new HeaderPacket();
            Params=new ParamsResponse();
            Data=new DataBlockInfoDataResponse();
        }
        
        public void Build(ByteBuffer buffer)
        {

            Header.Build(buffer);
            Params.Build(buffer);
            Data.Build(buffer);
        }
    }
}