using Core.Communication.Transport;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.ListBlocks
{
    public class ListBlocksResponse:IBuildResponse
    {
        public HeaderPacket Header { get; set; }
        public ParamsResponse Params { get; set; }
        public BlockItemListAll Data { get; set; }

        public ListBlocksResponse()  
        {
            Header=new HeaderPacket();
            Params=new ParamsResponse();
            Data=new BlockItemListAll();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
            Data.Build(buffer);
        }
    }
}