using Core.Communication.Transport;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.Negotiate
{
    public class NegotiateResponse:IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public NegotiateResponseParams Params { get; set; }

        public NegotiateResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new NegotiateResponseParams();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
        }
    }
}