﻿using System.Runtime.Serialization;
using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV 读取协议 后缀 _1=1工位 _2=2工位 无=共用
    /// </summary>
    [DataContract]
    public class WCS_RGV521 : WCS_PROTOCOLDATA, IRGV521
    {
        [DataMember(Order = 0)]
        public int TaskID_1 { get; set; }

        [DataMember(Order = 1)]
        public RGVTaskType TaskType_1 { get; set; }

        [DataMember(Order = 2)]
        public short StartPosition_1 { get; set; }

        [DataMember(Order = 3)]
        public short DestPosition_1 { get; set; }

        [DataMember(Order = 4)]
        public short PRIORITY_1 { get; set; }

        [DataMember(Order = 5)]
        public short RES1_1 { get; set; }

        [DataMember(Order = 6)]
        public short RES2_1 { get; set; }

        /// <summary>
        ///
        /// </summary>
        [DataMember(Order = 7)]
        public RGVStatus Status_1 { get; set; }

        [DataMember(Order = 8)]
        public int Trigger_1 { get; set; }

        [DataMember(Order = 9)]
        public int TaskID_2 { get; set; }

        [DataMember(Order = 10)]
        public RGVTaskType TaskType_2 { get; set; }

        [DataMember(Order = 11)]
        public short StartPosition_2 { get; set; }

        [DataMember(Order = 12)]
        public short DestPosition_2 { get; set; }

        [DataMember(Order = 13)]
        public short PRIORITY_2 { get; set; }

        [DataMember(Order = 14)]
        public short RES1_2 { get; set; }

        [DataMember(Order = 15)]
        public short RES2_2 { get; set; }

        [DataMember(Order = 16)]
        public RGVStatus Status_2 { get; set; }

        [DataMember(Order = 17)]
        public int Trigger_2 { get; set; }

        [DataMember(Order = 18)]
        public RGVRunStatus SystemStatus { get; set; }

        [DataMember(Order = 19)]
        public RGVMode WorkMode { get; set; }

        [DataMember(Order = 20)]
        public short RES6 { get; set; }

        [DataMember(Order = 21)]
        public float Position { get; set; }

        [DataMember(Order = 22)]
        public float Mileage { get; set; }

        [DataMember(Order = 23)]
        public float Runtime { get; set; }
    }
}