﻿using System.Runtime.Serialization;
using WCS.Entity.Protocol.RGV;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// RGV状态记录
    /// </summary>
    [DataContract]
    public class WCS_RGV523 : WCS_PROTOCOLDATA, IRGV523
    {
        [DataMember(Order = 0)]
        public RGVFault Fault { get; set; }

        [DataMember(Order = 1)]
        public RGVPlatformFault Fault1 { get; set; }

        [DataMember(Order = 2)]
        public RGVPlatformFault Fault2 { get; set; }

        [DataMember(Order = 3)]
        public RGVStatus Status { get; set; }

        [DataMember(Order = 4)]
        public RGVPlatformStatus Status1 { get; set; }

        [DataMember(Order = 5)]
        public RGVPlatformStatus Status2 { get; set; }
    }
}