﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace WCS.Service.Migrations
{
    public partial class _2 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "G_BCR_NoRead",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_B_Outside",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_F_Outside",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsCode",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsEnd",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsError",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsSize",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsStart",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_GoodsType",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_H_Outside",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_L_Outside",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_Notask",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_Overload",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_PhStatus",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_R_Outside",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_Request",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "G_Station_Ready",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "S_AGV_Get_OK",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "S_AGV_Put_OK",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "S_Confirm",
                table: "WCS_STATION50");

            migrationBuilder.DropColumn(
                name: "S_TaskDelete",
                table: "WCS_STATION50");

            migrationBuilder.RenameColumn(
                name: "S_TaskId",
                table: "WCS_STATION50",
                newName: "Tasknum");

            migrationBuilder.RenameColumn(
                name: "S_Height",
                table: "WCS_STATION50",
                newName: "VoucherNo");

            migrationBuilder.RenameColumn(
                name: "S_GoodsType",
                table: "WCS_STATION50",
                newName: "Request");

            migrationBuilder.RenameColumn(
                name: "S_GoodsStart",
                table: "WCS_STATION50",
                newName: "Goodsstart");

            migrationBuilder.RenameColumn(
                name: "S_GoodsSize",
                table: "WCS_STATION50",
                newName: "Goodsnum");

            migrationBuilder.RenameColumn(
                name: "S_GoodsEnd",
                table: "WCS_STATION50",
                newName: "Goodsend");

            migrationBuilder.RenameColumn(
                name: "S_GoodsCode",
                table: "WCS_STATION50",
                newName: "Istation521Status");

            migrationBuilder.RenameColumn(
                name: "G_Weight",
                table: "WCS_STATION50",
                newName: "GoodsSize");

            migrationBuilder.RenameColumn(
                name: "G_TaskId",
                table: "WCS_STATION50",
                newName: "Goodscode");

            migrationBuilder.RenameColumn(
                name: "G_Height",
                table: "WCS_STATION50",
                newName: "CmdType");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "VoucherNo",
                table: "WCS_STATION50",
                newName: "S_Height");

            migrationBuilder.RenameColumn(
                name: "Tasknum",
                table: "WCS_STATION50",
                newName: "S_TaskId");

            migrationBuilder.RenameColumn(
                name: "Request",
                table: "WCS_STATION50",
                newName: "S_GoodsType");

            migrationBuilder.RenameColumn(
                name: "Istation521Status",
                table: "WCS_STATION50",
                newName: "S_GoodsCode");

            migrationBuilder.RenameColumn(
                name: "Goodsstart",
                table: "WCS_STATION50",
                newName: "S_GoodsStart");

            migrationBuilder.RenameColumn(
                name: "Goodsnum",
                table: "WCS_STATION50",
                newName: "S_GoodsSize");

            migrationBuilder.RenameColumn(
                name: "Goodsend",
                table: "WCS_STATION50",
                newName: "S_GoodsEnd");

            migrationBuilder.RenameColumn(
                name: "Goodscode",
                table: "WCS_STATION50",
                newName: "G_TaskId");

            migrationBuilder.RenameColumn(
                name: "GoodsSize",
                table: "WCS_STATION50",
                newName: "G_Weight");

            migrationBuilder.RenameColumn(
                name: "CmdType",
                table: "WCS_STATION50",
                newName: "G_Height");

            migrationBuilder.AddColumn<bool>(
                name: "G_BCR_NoRead",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_B_Outside",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_F_Outside",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "G_GoodsCode",
                table: "WCS_STATION50",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<short>(
                name: "G_GoodsEnd",
                table: "WCS_STATION50",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0);

            migrationBuilder.AddColumn<bool>(
                name: "G_GoodsError",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<short>(
                name: "G_GoodsSize",
                table: "WCS_STATION50",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0);

            migrationBuilder.AddColumn<short>(
                name: "G_GoodsStart",
                table: "WCS_STATION50",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0);

            migrationBuilder.AddColumn<short>(
                name: "G_GoodsType",
                table: "WCS_STATION50",
                type: "smallint",
                nullable: false,
                defaultValue: (short)0);

            migrationBuilder.AddColumn<bool>(
                name: "G_H_Outside",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_L_Outside",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_Notask",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_Overload",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_PhStatus",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_R_Outside",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_Request",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "G_Station_Ready",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "S_AGV_Get_OK",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "S_AGV_Put_OK",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "S_Confirm",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "S_TaskDelete",
                table: "WCS_STATION50",
                type: "bit",
                nullable: false,
                defaultValue: false);
        }
    }
}
