﻿using DBHelper;
using System;
using System.Linq;
using WCS.Entity;
using WCS.Service.Log;

namespace WCS.Service
{
    public class Uploader
    {
        private static bool Stoped = false;
        //public static void Start()
        //{
        //    Stoped = false;
        //    Task.Run(() =>
        //    {
        //        while (!Stoped)
        //        {
        //            DB.Do(db =>
        //            {
        //                Upload(db);
        //            });
        //            Task.Delay(10000);
        //        }
        //    });

        //}

        private static object UpLoadLockObj = new object();

        public static void Upload(DB db)
        {
            //lock (UpLoadLockObj)
            {
                try
                {
                    var tasks = db.Default.Set<WCS_TASK>().Where(v => v.WMSTASK > 0).Where(v => v.STATUS != v.UPLOADED).ToArray();
                    foreach (var task in tasks)
                    {
                        try
                        {
                            WMS.UpdateTask(task.ADDRNEXT?.ToString(), task.WMSTASK, (int)task.STATUS, task.HEIGHT);
                            var st = task.UPLOADED;
                            task.UPLOADED = task.STATUS;
                            //task.CreateStatusLog(db);
                            InfoLog.INFO_SYTASKSTATUS($"[{task.ID}]---old:[{st}]-new:[{task.UPLOADED}]---{task.HEIGHT}");
                        }
                        catch (Exception ex)
                        {
                            Console.WriteLine($"上传任务状态失败:WCS任务号{task.ID},{ex.Message}");
                        }
                    }
                    db.Default.SaveChanges();
                }
                catch { }
            }
        }

        //public static void Stop()
        //{
        //    Stoped = true;
        //}
    }
}