﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Service.Entity
{
    /// <summary>
    /// 更新任务进程响应实体
    /// </summary>
    public class I_WCS_PutTaskStepResponse : WcsContractApiResponse
    {
        /// <summary>
        /// 结果
        /// </summary>
        public bool ResType { get; set; }
        /// <summary>
        /// 消息
        /// </summary>
        public string ResMessage { get; set; }
        /// <summary>
        /// WMS任务号
        /// </summary>
        public string WMSTaskNum { get; set; } = "0";

        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo3 { get; set; }
    }
}
