﻿using System;
using System.Collections.Generic;
using System.Text;
using WCS.Entity;

namespace WCS.Core
{
    public static class Configs
    {
        /// <summary>
        /// 设置协议通讯代理类的基类，继承至DataObject,IBaseType
        /// </summary>
        public static Type ProtocolProxyBaseType { get; set; }


        public static Encoding StringEncoding { get; set; }

        public static Action<Action<WCS_CMD>> DoCmds { get; set; }

        public static string DebugRedisUrl { get; set; }

        public static event Action PublishEvent;

        internal static void Publish()
        {
            PublishEvent?.Invoke();
        }

        public static Action<string, string> UploadException { get; set; }

    }
}
