﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Entity
{
    public class WCS_PATHPOINT : OBJ
    {
        [Display(Name = "起点")]
        [Required]
        public WCS_DEVICE START { get; set; }

        [Display(Name = "终点")]
        [Required]
        public WCS_DEVICE END { get; set; } 

        [Display(Name = "路径点")]
        [Required]
        public WCS_DEVICE DEVICE { get; set; }

        [Display(Name = "前路径点")]
        public WCS_DEVICE PREV { get; set; }

        [Display(Name = "后路径点")]
        public WCS_DEVICE NEXT { get; set; }
    }
}
