﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace Core.Util.Common
{
    public interface IDisposableEx : IDisposable
    {
        /// <summary>
        /// 是否释放
        /// </summary>
        [XmlIgnore]
        bool Disposed { get; }

        /// <summary>
        /// 释放完事件
        /// </summary>
        event EventHandler OnDisposed;
    }
}
