﻿using Core.Communication.Transport;
using PLC.Siemens.Protocol.Header;
using PLC.Siemens.Protocol.Iso;
using PLC.Siemens.O;

namespace PLC.Siemens.Protocol.Upload
{
    public class StartUploadResponse:IBuildResponse
    {
        public HeaderPacketWithErrorCode Header { get; set; }
        public StartUploadParamsResponse Params { get; set; }

        public StartUploadResponse()
        {
            Header = new HeaderPacketWithErrorCode();
            Params = new StartUploadParamsResponse();
        }

        public void Build(ByteBuffer buffer)
        {
            Header.Build(buffer);
            Params.Build(buffer);
        }
    }
}