﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 任务状态变更记录
    /// </summary>
    public class WCS_StatusLog : OBJ
    {
        /// <summary>
        /// 关联任务ID
        /// </summary>
        public int WCS_TASKID { get; set; }

        /// <summary>
        /// 新的状态
        /// </summary>
        public TaskStatus NewStatus { get; set; }

        /// <summary>
        /// 旧的状态
        /// </summary>
        public TaskStatus OldStatus { get; set; }

        /// <summary>
        /// 上传的状态
        /// </summary>
        public TaskStatus upStatus { get; set; }

        /// <summary>
        /// 产生本次变化的节点
        /// </summary>
        public string Node { get; set; }

        /// <summary>
        /// 变化的内容 
        /// </summary>
        public string msg { get; set; }
    }
}
