﻿using Microsoft.EntityFrameworkCore.Migrations;
using System;

#nullable disable

namespace WCS.Service.Migrations
{
    public partial class _16 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "WCS_TASK_OLD",
                columns: table => new
                {
                    ID = table.Column<int>(type: "int", nullable: false),
                    BARCODE = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: true),
                    TYPE = table.Column<int>(type: "int", nullable: false),
                    STATUS = table.Column<int>(type: "int", nullable: false),
                    ADDRFROM = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    ADDRTO = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    ADDRNEXT = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    TUNNEL = table.Column<string>(type: "nvarchar(10)", maxLength: 10, nullable: true),
                    FLOOR = table.Column<int>(type: "int", nullable: false),
                    DEVICE = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    SRMSTATION = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    CREATETIME = table.Column<DateTime>(type: "datetime2", nullable: false),
                    STARTTIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    ENDTIME = table.Column<DateTime>(type: "datetime2", nullable: true),
                    DOCID = table.Column<int>(type: "int", nullable: false),
                    PALLETTYPE = table.Column<short>(type: "smallint", nullable: false),
                    PRODLINE = table.Column<short>(type: "smallint", nullable: false),
                    FULLQTY = table.Column<short>(type: "smallint", nullable: false),
                    HEIGHT = table.Column<short>(type: "smallint", nullable: false),
                    WMSTASK = table.Column<int>(type: "int", nullable: false),
                    TaskGroupKey = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    UPLOADED = table.Column<int>(type: "int", nullable: false),
                    AgvTask = table.Column<int>(type: "int", nullable: false),
                    Priority = table.Column<int>(type: "int", nullable: false),
                    ManualRemarks = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Length = table.Column<decimal>(type: "decimal(18,2)", nullable: false),
                    ENABLED = table.Column<bool>(type: "bit", nullable: false),
                    UPDATEUSER = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    UPDATETIME = table.Column<DateTime>(type: "datetime2", nullable: false),
                    VER = table.Column<byte[]>(type: "rowversion", rowVersion: true, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WCS_TASK_OLD", x => x.ID);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "WCS_TASK_OLD");
        }
    }
}