﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;
using WCS.Entity;
using HslCommunication.Profinet.Melsec; 

namespace WCS.Service.PLCAccessors
{
    public class PLCAccessorsCreater : IPLCAccessorCreater
    {
        public IPLCAccessor Create(WCS_PLC data)
        {
            if (data.TYPE == PLCType.西门子)
                return new SiemensS7PLC(data.IP, data.PORT,data.RACK,data.SLOT);
            else
                throw new Exception("不支持此PLC");
        }
    }
}
