﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace WCS.Service.Entity
{
    /// <summary>
    /// 称重信息上传请求参数
    /// </summary>
    public class I_WCS_GetWeightRequest
    {
        /// <summary>
        /// WMS任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string WMSTaskNum { get; set; }
        /// <summary>
        /// 重量
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public decimal Weight { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo1 { get; set; }
        /// <summary>
        /// 备用
        /// </summary>
        public string Memo2 { get; set; }
    }
}
