﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Service.Entity
{
    public class Result
    {
        public const int Success = 200;
        public const int Error = 500;

        public int StatusCode { get; set; }

        public string Message { get; set; }

        public string Exception { get; set; }

        public Result()
        {
            this.StatusCode = Success;
            this.Message = "操作成功";
        }
    }

    public class Result<T> : Result
    {
        public T ReturnValue { get; set; }

        public Result()
        {
        }

        public Result(T result)
            : base()
        {
            this.ReturnValue = result;
        }
    }
}
